{
  pkgs,
  ...
}:

{

  environment.systemPackages = with pkgs; [
    wireplumber
    playerctl # Interaction with audioplayers and browsers
    pavucontrol # GUI
    spotify
  ];

  hardware.pulseaudio.enable = false; # Use Pipewire, the modern sound subsystem

  security.rtkit.enable = true; # Enable RealtimeKit for audio purposes

  services.pipewire = {
    enable = true;
    alsa = {
      enable = true;
      support32Bit = true;
    };
    pulse.enable = true;
    # Uncomment the following line if you want to use JACK applications
    # jack.enable = true;
  };
}
